/*
 * SPDX-FileCopyrightText: 2022 The HedgeDoc developers (see AUTHORS file)
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
import { languages } from '../fixtures/languages'

describe('Languages', () => {
  beforeEach(() => {
    cy.visitHome()
    cy.getByCypressId('settingsButton').click()
  })

  it('all languages are available', () => {
    cy.getByCypressId('language-picker').find('option').as('languages')
    cy.get('@languages').should('have.length', 28)
    languages.forEach((language) => {
      cy.get('@languages').contains(language)
    })
  })

  it('language changes affect the UI', () => {
    cy.getByCypressId('language-picker').select('English')
    cy.getByCypressId('new-note-button').contains('New Note')
    cy.getByCypressId('language-picker').select('Deutsch')
    cy.getByCypressId('new-note-button').contains('Neue Notiz')
  })
})
